Get Knowledge Base Data Source Link

Get Knowledge Base Data Source Link

This method allows you to get information about the link between data sources and a knowledge base, and the status of this link. For details, refer to the method to Create a link between a data source and a knowledge base.

Request
URI
GET
https://{api_host}/api/v1/control/knowledge-bases/{knowledge_base_id}/data-sources/{knowledge_base_data_source_id}
COPY
Path Parameters
string
knowledge_base_id
Required

knowledge_base_id

string
knowledge_base_data_source_id
Required

knowledge_base_data_source_id


Authentication
This operation uses the following authentication methods.
Responses
200

Successful Response

Returns LinkedDataSource of type(s) application/json
{
    "id": "string",
    "state": "string",
    "data_source": {
        "id": "string",
        "origin_url": "string",
        "name": "string",
        "description": "string",
        "type": "string",
        "object": "string",
        "created_at": 0,
        "last_updated_at": 0
    }
}
string As uuid As uuid
id
Required

ID of the link between a knowledge base and a data source.

string
state
Required

State of the link between a knowledge base and a data source.

Possible values are : NOT_INDEXED, INDEXED, PENDING_UNLINKING, UNLINKING,
object
data_source
Required

A data source.


404

Invalid knowledge base or link ID.

Operation doesn't return any data structure

422

Validation Error

Returns HTTPValidationError of type(s) application/json
"HTTPValidationError Object"
array of object
detail
Optional

detail


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/v1/control/knowledge-bases/{knowledge_base_id}/data-sources/{knowledge_base_data_source_id}